Spirit JB now or w8 for 4.0 JB?

Discussion in 'Jailbreaks and iOS Hacks' started by Forum Spy, Jul 2, 2010.

  1. Forum Spy macrumors newbie

    Joined:
    Mar 7, 2010
    #1
    Hello everyone, in the past my Iphone 3GS was JB on the 3.1.2, but in some point I got stuck on the boot loop and I just gave up hope and restored to 3.1.3.

    Now that the IOs 4.0 was released, I started researching again and I found out about the spirit JB.

    I really want to JB again, and I would also like to unlock it, so I can interchange my sim cards.

    My question is, is it safe to JB my 3.1.3 with spirit and unlock it using UltraSn0w - how can it affect the 4.0 jb in the future? I was reading about the Pwnage tool for the IOs 4.0 and it doesn't support previously JB phones by spirit.


    My Specs: Iphone 3GS 3.1.3 new bootroom with only 3.1.3 SHSH on server.

    Should I jb it now or continue to wait?
     
  2. The General macrumors 601

    Joined:
    Jul 7, 2006
    #2
    Since you were jailbroken on 3.1.2, chances are your SHSH blob is backed up with Cydia. That means you can downgrade to 3.1.2.

    If you downgrade to 3.1.2 and jailbreak with redsn0w, then you can upgrade to 4.0 jailbroken using Pwnage Tool 4.0.1.

    EDIT: Nevermind, I missed the part where new bootroms are not supported by Pwnage Tool 4.0.1 yet.
     
  3. Forum Spy thread starter macrumors newbie

    Joined:
    Mar 7, 2010
    #3
    I wish I could do that, but when I JBed my phone, apple was already signing only 3.1.3, so I only have .3 on server.


    My dilema still stands, should I JB now or wait for the 4.0 JB?
     
  4. SimplyS macrumors member

    Joined:
    Jun 23, 2010
    #4
    Jailbreak with spirit. it wont affect future jailbreaks.
    on a different note, it is possible to use a custom firmware on a 3.1.3 spirit jailbroken 3GS if you know what you are doing.( I have done that to a few iphones myself)
     
  5. The General macrumors 601

    Joined:
    Jul 7, 2006
    #5
    Sucks. But yeah, it's safe to use Spririt on 3.1.3 and use Ultrasn0w 0.93 to unlock.
     
  6. The LPT macrumors regular

    Joined:
    Mar 8, 2010
    #6
    I thought phones with the newer bootloader currently, can't be jailbroken on iOS4
     
  7. The General macrumors 601

    Joined:
    Jul 7, 2006
    #7
    oh you're right, i must have missed that part in the release notes
     
  8. ACardAttack macrumors 6502

    ACardAttack

    Joined:
    Mar 18, 2010
    #8
    I say jailbreak, no telling when the jailbreak will come for 4.0 3gs newboot and I could no longer survive without openssh
     

Share This Page